Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.encoding.soapenc
Class Base64

    java.lang.Object
      |
      +--org.apache.soap.encoding.soapenc.Base64

public class Base64
extends java.lang.Object

Constructor Summary
`Base64()`

Method Summary
`static byte[]` | `decode(char[] data, int off, int len)` Decode the base64 data.
`static void` | `decode(char[] data, int off, int len, java.io.OutputStream ostream)` Decode the base64 data.
`static byte[]` | `decode(java.lang.String data)` Decode the base64 data.
`static void` | `decode(java.lang.String data, java.io.OutputStream ostream)` Decode the base64 data.
`static java.lang.String` | `encode(byte[] data)` Returns base64 representation of specified byte array.
`static java.lang.String` | `encode(byte[] data, int off, int len)` Returns base64 representation of specified byte array.
`static void` | `encode(byte[] data, int off, int len, java.io.OutputStream ostream)` Outputs base64 representation of the specified byte array to a byte stream.
`static void` | `encode(byte[] data, int off, int len, java.io.Writer writer)` Outputs base64 representation of the specified byte array to a character stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64

    public Base64()

Method Detail

### decode

    public static byte[] decode(char[] data,
                                int off,
                                int len)

  Decode the base64 data.
  Parameters:
    `data` - The base64 encoded data to be decoded
    `off` - The offset within the encoded data at which to start decoding
    `len` - The length of data to decode
  Returns:
    The decoded data

### decode

    public static byte[] decode(java.lang.String data)

  Decode the base64 data.
  Parameters:
    `data` - The base64 encoded data to be decoded
  Returns:
    The decoded data

### decode

    public static void decode(char[] data,
                              int off,
                              int len,
                              java.io.OutputStream ostream)
                       throws java.io.IOException

  Decode the base64 data.
  Parameters:
    `data` - The base64 encoded data to be decoded
    `off` - The offset within the encoded data at which to start decoding
    `len` - The length of data to decode
    `ostream` - The OutputStream to which the decoded data should be written
    `java.io.IOException`

### decode

    public static void decode(java.lang.String data,
                              java.io.OutputStream ostream)
                       throws java.io.IOException

  Decode the base64 data.
  Parameters:
    `data` - The base64 encoded data to be decoded
    `ostream` - The OutputStream to which the decoded data should be written
    `java.io.IOException`

### encode

    public static java.lang.String encode(byte[] data)

  Returns base64 representation of specified byte array.
  Parameters:
    `data` - The data to be encoded
  Returns:
    The base64 encoded data

### encode

    public static java.lang.String encode(byte[] data,
                                          int off,
                                          int len)

  Returns base64 representation of specified byte array.
  Parameters:
    `data` - The data to be encoded
    `off` - The offset within the data at which to start encoding
    `len` - The length of the data to encode
  Returns:
    The base64 encoded data

### encode

    public static void encode(byte[] data,
                              int off,
                              int len,
                              java.io.OutputStream ostream)
                       throws java.io.IOException

  Outputs base64 representation of the specified byte array to a byte stream.
  Parameters:
    `data` - The data to be encoded
    `off` - The offset within the data at which to start encoding
    `len` - The length of the data to encode
    `ostream` - The OutputStream to which the encoded data should be written
    `java.io.IOException`

### encode

    public static void encode(byte[] data,
                              int off,
                              int len,
                              java.io.Writer writer)
                       throws java.io.IOException

  Outputs base64 representation of the specified byte array to a character stream.
  Parameters:
    `data` - The data to be encoded
    `off` - The offset within the data at which to start encoding
    `len` - The length of the data to encode
    `writer` - The Writer to which the encoded data should be written
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.